Subject: bug#72915: Docstrings of add-hook and remove-hook improvement?

From: Tomas Nordin <[email-masked]>
Date: Sun, 15 Sep 2024 13:49:15 +0000

Stefan Monnier <[email-masked]> writes:

> The `add-hook` part was OK for me, indeed.
>
> [ I'm no great fan of that paragraph (neither the original nor the one
>   you replace it with), tho, because it's a bit "too detailed" for my
>   taste.  E.g. the value *always* ends up being a list of functions, and
>   the parenthesis states something which sounds to me like it should be
>   inferrable from the rest of the docstring.  ]

I think I agree, the parenthesized part could be discarded, shortening
the paragraph to

"HOOK should be a symbol.  If HOOK is void, or if HOOK's value is a
single function, it is changed to a list of functions."